/**
 * Source: https://github.com/madrobby/keymaster/blob/3b1f2afabf1569848dea8b697ac418f19b601a30/keymaster.js
 */
export declare const keyMap: {
    [code: string]: number;
};
/**
 * Valid modifier keys.
 */
export declare const modifiers: number[];
/**
 * Stringify a keyboard event.
 */
export declare function stringifyKey(e: KeyboardEvent): string;
/**
 * Event handlers.
 */
export declare type EventHandler = (e: KeyboardEvent) => void;
export declare type ListenerHandler = (combo: string, e: KeyboardEvent) => void;
/**
 * Keyboard manager library for mapping key events.
 */
export declare class Keyboard {
    map: {
        [code: string]: number;
    };
    listeners: ListenerHandler[];
    shortcuts: {
        [key: string]: EventHandler[];
    };
    constructor(map?: {
        [code: string]: number;
    });
    onKeyDown: EventHandler;
    mapKeys(keys: string | (string | number)[]): string;
    listen(callback: ListenerHandler): number;
    stopListening(callback: ListenerHandler): number;
    bind(keys: string | string[], callback: EventHandler): number;
    unbind(keys: string | string[], callback: EventHandler): number;
    attach(element?: Window): void;
    detach(element?: Window): void;
}
